<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 4/1/16
 * Time: 11:28 PM
 */

namespace qfq;

require_once(__DIR__ . '/AbstractException.php');

/**
 * Class UserReportException
 *
 * Thrown by Report on User errors
 *
 * @package qfq\exceptions
 */
class UserReportException extends AbstractException {

    /*
    * @return string HTML formatted error string
    */
    public function formatMessage() {

        $this->messageArrayDebug[EXCEPTION_TYPE] = 'User Report Exception';

        $this->messageArrayDebug[EXCEPTION_SQL_RAW] = Store::getVar(SYSTEM_SQL_RAW, STORE_SYSTEM);
        $this->messageArrayDebug[EXCEPTION_SQL_FINAL] = Store::getVar(SYSTEM_SQL_FINAL, STORE_SYSTEM);
        $this->messageArrayDebug[EXCEPTION_REPORT_COLUMN_INDEX] = Store::getVar(SYSTEM_REPORT_COLUMN_INDEX, STORE_SYSTEM);
        $this->messageArrayDebug[EXCEPTION_REPORT_COLUMN_NAME] = Store::getVar(SYSTEM_REPORT_COLUMN_NAME, STORE_SYSTEM);
        $this->messageArrayDebug[EXCEPTION_REPORT_COLUMN_VALUE] = Store::getVar(SYSTEM_REPORT_COLUMN_VALUE, STORE_SYSTEM);

        return parent::formatException();
    }
}